

#include <string.h>

#include "vpixcon.h"
#include "polygon.h"
#include "gamegine.h"


/* ****************************************************************
**************************************************************** */
void pixtron::preprocess(void *data) {

   antineutron::preprocess(data);

   if (colsphere)
      return;

   colsphere = build_quadspheres(((polygon *)ob)->get_render_object(), 3);

   if (!colsphere)
      return;
 
   colsphere->dataname.stringcpy(&((polygon *)ob)->filename);
   colsphere->altname.stringcpy(&((polygon *)ob)->filename);
   global_resource_manager->register_resource(RESOURCE_SPHERE, colsphere);
   sprintf(perror_buffer, "Built collision for \"%s\"\n", colsphere->dataname.string);
   pprintf(perror_buffer);
}
   
